/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { HorizontalAnchoredCategorySeriesDescription } from "./HorizontalAnchoredCategorySeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WaterfallSeriesDescription = /*@__PURE__*/ (() => {
    class WaterfallSeriesDescription extends HorizontalAnchoredCategorySeriesDescription {
        get_type() {
            return "WaterfallSeries";
        }
        constructor() {
            super();
            this.fz = null;
            this.fv = 0;
            this.fw = 0;
            this.f0 = null;
        }
        get negativeBrush() {
            return this.fz;
        }
        set negativeBrush(a) {
            this.fz = a;
            this.g("NegativeBrush");
        }
        get radiusX() {
            return this.fv;
        }
        set radiusX(a) {
            this.fv = a;
            this.g("RadiusX");
        }
        get radiusY() {
            return this.fw;
        }
        set radiusY(a) {
            this.fw = a;
            this.g("RadiusY");
        }
        get negativeOutline() {
            return this.f0;
        }
        set negativeOutline(a) {
            this.f0 = a;
            this.g("NegativeOutline");
        }
    }
    WaterfallSeriesDescription.$t = /*@__PURE__*/ markType(WaterfallSeriesDescription, 'WaterfallSeriesDescription', HorizontalAnchoredCategorySeriesDescription.$);
    return WaterfallSeriesDescription;
})();
